%global dlrn_nvr tripleo-ipa-0.2.1.dev14-1.20201114010033.3bb3c53
%global dlrn 1
%define upstream_version 0.2.1.dev14
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility

%global srcname tripleo_ipa
%global rolename tripleo-ipa

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           ansible-%{rolename}
Version: 0.2.1
Release: 1.20201114010033.3bb3c53%{?dist}
Summary:        Ansible assets for interacting with FreeIPA on behalf of TripleO

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://opendev.org/x/tripleo-ipa/
Source0: tripleo-ipa-0.2.1.dev14-1.20201114010033.3bb3c53.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=3bb3c536f5213da7358ead923cb6ccf3c901b123

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

Requires: ansible-freeipa
Requires: krb5-workstation
Requires: python%{pyver}-urllib-gssapi
Requires: python%{pyver}-six
Requires: python%{pyver}-netaddr
%if %{pyver} == 2
Requires: PyYAML
%else
Requires: python%{pyver}-PyYAML
%endif

%description

Ansible assets for interacting with FreeIPA on behalf of TripleO

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/


%changelog
* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches

* Wed Aug 05 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- trivial: spell out otp

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- trivial: update playbook name in documentation

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- Use appropriate permissions for the keytab

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- Add param to optionally install packages in ipa_client_install

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- Fix missing virtualenv in molecule tests

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- Playbooks to configure IPA server for tripleo use

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- Add a reasonable default incase certmonger user isn't set

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- add tripleo-multinode-ipa to check

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches
- Replace install-docker with ensure-docker

* Fri May 08 2020 OSP Prod Chain <dev-null@redhat.com> 0.2.0-1
- Update patches

* Fri May 01 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.1-1
- Update patches
- Safely recreate hosts if they're not enrolled

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.1-1
- Update patches
- Check on module name

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.1-1
- Update patches
- Do not install dependencies in undercloud-ipa-install

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.1-1
- Update patches

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.1-1
- Update patches
- Conditionally decode hosts

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.1-1
- Update patches
- Add molecule tests

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> 0.1.1-1
- Update patches

